Skip to content

Find Event by ID

Events

By default returns a visible event.

GET
/events/{id}

Parameters

Path Parameters

id*

ID of the event to interact with

Type
string
Required

Query Parameters

moderatorId

ID of the moderator viewing the event, needed for viewing draft events.

Type
string

Responses

Successful response

application/json
JSON
{
  
"result": {
  
  
"id": "1",
  
  
"title": "My first meetup",
  
  
"content": "Some information about my meetup",
  
  
"startDate": "2017-04-01T15:29:06+00:00",
  
  
"endDate": "2017-04-01T20:29:06+00:00",
  
  
"location": "Amsterdam",
  
  
"url": "https://fake.meetup.com",
  
  
"externalRegistrationUrl": "https://fake.meetup.com",
  
  
"externalRegistrationUrlLabel": "Button name",
  
  
"image": "https://fake.meetup.com/image.png",
  
  
"createdAt": "2017-04-10T15:29:06+00:00",
  
  
"createdBy": "1",
  
  
"trashed": false,
  
  
"userGroupId": "1",
  
  
"timezone": "Europe/Amsterdam"
  
}
}

Samples

Gainsight CC Developer Portal